# Set user password

## Set user password

> Sets a new password for the user.\
> Intended for password-based users; updates are applied immediately.\
> Returns the updated user object.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5353-g6bbacdcd"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/accounts/users/{uniqueFilter}/set-password":{"post":{"tags":["Users"],"summary":"Set user password","description":"Sets a new password for the user.\nIntended for password-based users; updates are applied immediately.\nReturns the updated user object.","parameters":[{"name":"uniqueFilter","in":"path","description":"User identifier (USR-...) or user email address.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Password payload (current and new password).","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/SetPasswordDto"}]}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/SetPasswordDto"}]}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/SetPasswordDto"}]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetPasswordDto":{"required":["password"],"type":"object","properties":{"password":{"minLength":1,"type":"string"},"currentPassword":{"type":"string","nullable":true}},"additionalProperties":false},"User":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/UserAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"email":{"type":"string"},"status":{"type":"string"},"phone":{"allOf":[{"$ref":"#/components/schemas/PhoneNumber"}],"nullable":true},"firstName":{"type":"string"},"lastName":{"type":"string"},"lastLoginAt":{"type":"string","format":"date-time","nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/UserSettings"}],"nullable":true},"accounts":{"type":"array","items":{"$ref":"#/components/schemas/AccountRef"}},"currentAccount":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]}},"additionalProperties":false},"UserAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"invitationAcceptedAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PhoneNumber":{"type":"object","properties":{"prefix":{"type":"string","nullable":true},"number":{"type":"string","nullable":true}},"additionalProperties":false},"UserSettings":{"type":"object","properties":{"cultureCode":{"type":"string"},"dateFormat":{"type":"string","nullable":true},"languageCode":{"type":"string"},"numberFormat":{"allOf":[{"$ref":"#/components/schemas/NumberFormat"}],"nullable":true},"timeFormat":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false},"NumberFormat":{"type":"object","properties":{"decimalSeparator":{"type":"string"},"groupSeparator":{"type":"string"}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/users/set-user-password.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
